use std::thread;
use std::time::Duration;

fn main() {
    let handle =thread::spawn(|| {
        for i in (1..=100).rev() {
            println!("起動スレッド：カウントダウン {i}");
            thread::sleep(Duration::from_millis(1));
        }
    });

    for i in (1..=50).rev() {
        println!("mainスレッド：カウントダウン {i}");
        thread::sleep(Duration::from_millis(2));
    }
    handle.join().unwrap();
}
